Bug 895290 - Port nml's use of PIL to support Pillow for F19
Port nml's use of PIL to support Pillow for F19
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nml (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 19:58 EST by Toshio Ernie Kuratomi
Modified: 2013-09-01 17:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 17:12:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (2.07 KB, patch)
2013-01-14 19:58 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 19:58:25 EST
Created attachment 678529 [details]
Patch to use the form of import of PIL that is pillow compatible

Description of problem:
Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the nml source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Felix Kaechele 2013-01-15 09:25:27 EST
I plan on bringing this into Fedora right through upstream.

Upstream request here: http://dev.openttdcoop.org/issues/4799
Comment 2 Felix Kaechele 2013-01-19 05:18:53 EST
Applied upstream: http://dev.openttdcoop.org/projects/nml/repository/revisions/013ceeaee4d1

Will be in next release which will in turn land in Fedora as soon as it's released.

Thanks so far.
Comment 3 Toshio Ernie Kuratomi 2013-02-04 20:39:21 EST
Cool.  I'll try to remember to ping this bug when python-pillow is reviewed and approved for fedora.  (Since it will Provide and Obsolete python-imaging, packages that have the old import statements will stop working when that enters the repository).
Comment 4 Toshio Ernie Kuratomi 2013-03-06 11:14:06 EST
The python-pillow package has now passed review.  It will enter rawhide soon.  This package will be unable to import PIL once that happens unless a version with the changed imports is built.

https://bugzilla.redhat.com/show_bug.cgi?id=908114
Comment 5 Fedora End Of Life 2013-04-03 15:21:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Felix Kaechele 2013-09-01 17:12:07 EDT
Patch added long ago ;)
Will be in next upstream release.

Note You need to log in before you can comment on or make changes to this bug.